/**
 * @file        登录接口响应schema
 * @author      hotok
 * @date        2025-06-28
 * @lastEditor  hotok
 * @lastEditTime 2025-06-28
 * @description 登录接口响应结构定义
 */

import { t } from 'elysia';

/** 登录成功响应schema */
export const loginResponse200Schema = t.Object({
    code: t.Literal(0),
    message: t.String(),
    data: t.Object({ token: t.String() }),
});

/** 登录失败响应schema */
export const loginResponse400Schema = t.Object({
    code: t.Literal(400),
    message: t.String(),
    data: t.Null(),
});
